Bug 457345 - Gyachi 1.1.35 crashes with buffer overflow when voice is enabled
Summary: Gyachi 1.1.35 crashes with buffer overflow when voice is enabled
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gyachi
Version: 9
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL: https://sourceforge.net/forum/forum.p...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-31 02:25 UTC by Vincent
Modified: 2013-03-13 05:43 UTC (History)
2 users (show)

Fixed In Version: 1.1.43
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-07 09:45:06 UTC


Attachments (Terms of Use)
Contains the backtrace I recieved (10.04 KB, text/plain)
2008-07-31 02:29 UTC, Vincent
no flags Details

Description Vincent 2008-07-31 02:25:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.1) Gecko/2008071615 Fedora/3.0.1-1.fc9 Firefox/3.0.1

Description of problem:
Attempting to enable Yahoo voice within Gyachi's voice chat application, gyachivoice, resulted in a buffer overflow crash.

Version-Release number of selected component (if applicable):
gyachi-1.1.35-6.fc9.i386

How reproducible:
Always


Steps to Reproduce:
I've removed the PulseAudio sound server from my installation and therefore use only Alsa. Those who use PulseAudio will need the gyachi-plugin-pulseaudio package in order to reproduce this error.

1.Open terminal and type: yum -y install gyachi gyachi-plugin-alsa *or* gyachi-plugin-pulseaudio

2. Download codecs package then install:

http://downloads.sourceforge.net/gyachi/gyachi-codecs-1.1.0-1.noarch.rpm?modtime=1194120095&big_mirror=0

Open terminal as root or sudo then type:

rpm -ivh gyachi-codecs-1.1.0-1.noarch.rpm

3. Then type: gyachivoice

Click the "On" button to see the error dump in the terminal.

Actual Results:
The application crashed with an buffer overflow error dump.

Expected Results:
For Gyachi to connect to the Yahoo chat servers and enable voice in Yahoo chat rooms.

Additional info:

Comment 1 Vincent 2008-07-31 02:29:45 UTC
Created attachment 313067 [details]
Contains the backtrace I recieved

Comment 2 Greg Hosler 2008-08-03 14:34:46 UTC
This is corrected in the upcoming 1.1.43 release, being prepared now.

Comment 3 Fedora Update System 2008-08-03 14:35:31 UTC
gyachi-1.1.43-9.fc9 has been submitted as an update for Fedora 9

Comment 4 Fedora Update System 2008-08-03 14:36:45 UTC
gyachi-1.1.43-3.fc8 has been submitted as an update for Fedora 8

Comment 5 Fedora Update System 2008-08-12 18:22:07 UTC
gyachi-1.1.43-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-08-12 18:25:50 UTC
gyachi-1.1.43-9.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.